<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [calculateRepToFavor](./bitburner.reputationformulas.calculatereptofavor.md)

## ReputationFormulas.calculateRepToFavor() method

Calculate the resulting faction favor of a total amount of reputation. (Faction favor is gained whenever you install an Augmentation.)

<b>Signature:</b>

```typescript
calculateRepToFavor(rep: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rep | number | amount of reputation. |

<b>Returns:</b>

number

The calculated faction favor.

